Crystal::SyntaxHighlighter::TokenType - Crystal 1.5.1

# enum Crystal::SyntaxHighlighter::TokenType

##
Overview

Describes the type of a highlighter token.

##
Defined in:

crystal/syntax_highlighter.cr

##
Enum Members

NEWLINE = `0`
SPACE = `1`
COMMENT = `2`
NUMBER = `3`
CHAR = `4`
SYMBOL = `5`
CONST = `6`
STRING = `7`
IDENT = `8`
KEYWORD = `9`
SELF = `10`
PRIMITIVE_LITERAL = `11`
OPERATOR = `12`
DELIMITER_START = `13`
DELIMITED_TOKEN = `14`
DELIMITER_END = `15`
INTERPOLATION = `16`
STRING_ARRAY_START = `17`
STRING_ARRAY_TOKEN = `18`
STRING_ARRAY_END = `19`
UNDERSCORE = `20`
UNKNOWN = `21`

##
Instance Method Summary

- #char?
- #comment?
- #const?
- #delimited_token?
- #delimiter_end?
- #delimiter_start?
- #ident?
- #interpolation?
- #keyword?
- #newline?
- #number?
- #operator?
- #primitive_literal?
- #self?
- #space?
- #string?
- #string_array_end?
- #string_array_start?
- #string_array_token?
- #symbol?
- #underscore?
- #unknown?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, from_value?(value : Int) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse, parse?(string : String) : self? parse?

### Class methods inherited from struct `Enum`

each(& : self -> ) each, names : Array(String) names, valid?(value : self) : Bool valid?, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def char? #
def comment? #
def const? #
def delimited_token? #
def delimiter_end? #
def delimiter_start? #
def ident? #
def interpolation? #
def keyword? #
def newline? #
def number? #
def operator? #
def primitive_literal? #
def self? #
def space? #
def string? #
def string_array_end? #
def string_array_start? #
def string_array_token? #
def symbol? #
def underscore? #
def unknown? #